clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ClangdServer::TweakRef Struct Reference

`#include <ClangdServer.h>`

Collaboration diagram for clang::clangd::ClangdServer::TweakRef:
[legend]

## Public Attributes
std::string | ID
std::string | Title
| ID to pass for applyTweak. More...
Tweak::Intent | Intent
| A single-line message to show in the UI. More...

## Detailed Description

Definition at line 261 of file ClangdServer.h.

## Member Data Documentation

## ◆ ID

std::string clang::clangd::ClangdServer::TweakRef::ID

Definition at line 262 of file ClangdServer.h.

## ◆ Intent

Tweak::Intent clang::clangd::ClangdServer::TweakRef::Intent

A single-line message to show in the UI.

Definition at line 264 of file ClangdServer.h.

## ◆ Title

std::string clang::clangd::ClangdServer::TweakRef::Title

ID to pass for applyTweak.

Definition at line 263 of file ClangdServer.h.

The documentation for this struct was generated from the following file:

- ClangdServer.h